package com.aimluck.eip.cayenne.om.account;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.account.auto._AvzMGroupsend;

public class AvzMGroupsend extends _AvzMGroupsend {
  public Integer getGroupsendId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(GROUPSEND_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setCategoryId(String id) {
    setObjectId(new ObjectId("AvzMGroupsend", GROUPSEND_ID_PK_COLUMN, Integer
      .valueOf(id)));
  }
}
